Transactions

Look up transactions individually or by page.

List transactions

GET /v1/transactions/{page}/{limit}
Operation transactions_list

Path parameters

NameExampleDescription
page Default 1
limit Default 20

Query parameters

NameExampleDescription
type
status
merchant UUID of merchant
user UUID of user
reference
start_date
end_date

Response

Field Type Description
code integer (0,any)

Example response

{
    "code": "integer",
    "data": [
        {
            "token": "string",
            "type": "integer",
            "merchant": "string",
            "execution_date": "string",
            "amount": "number",
            "currency": "string",
            "status": "integer",
            "card": "string",
            "card_pan_obfuscated": "string",
            "reference": "string",
            "reference2": "string",
            "linked_transaction": "string",
            "refundable_amount": "number",
            "voidable": "boolean",
            "pos_terminal_id": "string",
            "system_trace_audit_number": "string",
            "transaction_stamp": "string",
            "user": "string",
            "created_at": "string",
            "description": "string",
            "response_code": "string",
            "card_type": "string"
        }
    ]
}

Transaction detail

GET /v1/transactions/{token}

Path parameters

NameExampleDescription
token

Response

Field Type Description
code integer (0,any)

Example response

{
    "code": "integer",
    "data": {
        "token": "string",
        "type": "integer",
        "merchant": "string",
        "execution_date": "string",
        "amount": "number",
        "currency": "string",
        "status": "integer",
        "card": "string",
        "card_pan_obfuscated": "string",
        "reference": "string",
        "reference2": "string",
        "linked_transaction": "string",
        "refundable_amount": "number",
        "voidable": "boolean",
        "pos_terminal_id": "string",
        "system_trace_audit_number": "string",
        "transaction_stamp": "string",
        "user": "string",
        "created_at": "string",
        "description": "string",
        "response_code": "string",
        "card_type": "string"
    }
}
esc
navigate open esc close
Copied